clear all; close all; clc;
x = (0: 0.1: 2.5)'; %vygenerovanie matice x
y = erf(x); %chybova funkcia (error function)
p = polyfit(x,y,5); %samotne nafitovanie polynomom 5.stupna
m= numel(x)
%% 1. verzia s cyklom
for j = 1:m
  % do matice fit(j) sa vygeneruj hodnoty polynomickej aproximcie 
  fit(j) = p(1)*x(j)^5+ p(2)*x(j)^4+ p(3)*x(j)^3 + p(4)*x(j)^2 + ...
           p(5)*x(j) + p(6);
end;
plot(x,y, x,fit);
xlabel('x[]','FontSize',10); ylabel('functions []','FontSize',10);
legend(' error function ' ,'polynomial fit');title('prve riesenie');

%% 2. alebo (namiesto cyklu for)
fit2 = p(1)*x.^5 + p(2)*x.^4 + p(3)*x.^3 + p(4)*x.^2 + ...
       p(5)*x.^1 + p(6)*x.^0;
figure, plot(x,y, x,fit2);
xlabel('x[]','FontSize',10); ylabel('functions []','FontSize',10);
legend(' error function ' ,'polynomial fit'); title('druhe riesenie');
